Page MenuHomeFreeBSD

graphics/opencollada: update to 1.6.63
ClosedPublic

Authored by fernape on Jul 19 2018, 8:31 PM.

Details

Summary

Update graphics/opencollada and bump PORTREVISION for dependant ports:

  • editors/libreoffice
  • graphics/blender

The deleted patch has been integrated upstream.

Test Plan
  • portlint -AC OK
  • poudriere builds for {10.4,11.1}{amd64,i386}, 12i386 OK
  • poudriere build for graphics/blender (dependant port) OK in 10.4 amd64

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

fernape created this revision.Jul 19 2018, 8:31 PM
fernape edited the summary of this revision. (Show Details)Jul 19 2018, 8:32 PM
tcberner added inline comments.Jul 19 2018, 8:37 PM
graphics/opencollada/Makefile
26 ↗(On Diff #45558)

you could write this nicer as (if you want)

CMAKE_ON=USE_SHARED
CMAKE_OFF= USE_STATIC
fernape updated this revision to Diff 45561.Jul 19 2018, 8:57 PM

Change CMAKE_ARGS for CMAKE_ON/OFF

fernape marked an inline comment as done.Jul 19 2018, 9:00 PM
fernape added inline comments.
graphics/opencollada/Makefile
26 ↗(On Diff #45558)

Yep, looks tidy :-)

mat added a comment.Jul 20 2018, 11:38 AM

Why bump dependent ports?

fernape marked an inline comment as done.Jul 20 2018, 2:58 PM
In D16353#347350, @mat wrote:

Why bump dependent ports?

editors/libreoffice depends on libGeneratedSaxParser.so that is installed by graphics/opencollada... but since I notice the installed library is not versioned, maybe this is not necessary?

mat added a comment.Jul 20 2018, 10:02 PM
In D16353#347350, @mat wrote:

Why bump dependent ports?

editors/libreoffice depends on libGeneratedSaxParser.so that is installed by graphics/opencollada... but since I notice the installed library is not versioned, maybe this is not necessary?

Well, if it is not versionned, is is quite hard to know if its interface changes :(.

tcberner accepted this revision.Jul 22 2018, 9:32 AM

Looks good to me.

This revision is now accepted and ready to land.Jul 22 2018, 9:32 AM
This revision was automatically updated to reflect the committed changes.